"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pclnDesignSystem = require("pcln-design-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  svg {\n    vertical-align: top;\n  }\n\n  &:focus {\n    background-color: ", ";\n    outline: none;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  height: 40px;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var HeaderWrapper = (0, _styledComponents["default"])(_pclnDesignSystem.Flex)(_templateObject());
var StyledCloseButton = (0, _styledComponents["default"])(_pclnDesignSystem.CloseButton)(_templateObject2(), function (props) {
  return props.theme.colors.darkBlue;
});

var ModalHeader = function ModalHeader(_ref) {
  var bg = _ref.bg,
      color = _ref.color,
      onClose = _ref.onClose,
      title = _ref.title;
  return _react["default"].createElement(HeaderWrapper, {
    align: "center",
    color: color,
    bg: bg,
    px: 3
  }, title && _react["default"].createElement(_pclnDesignSystem.Text, {
    fontSize: 1,
    bold: true
  }, title), onClose && _react["default"].createElement(StyledCloseButton, {
    onClick: onClose,
    ml: "auto"
  }));
};

ModalHeader.displayName = ModalHeader;
ModalHeader.propTypes = {
  bg: _propTypes["default"].string,
  onClose: _propTypes["default"].func,
  color: _propTypes["default"].string,
  title: _propTypes["default"].string
};
ModalHeader.defaultProps = {
  bg: 'blue',
  color: 'white'
};
var _default = ModalHeader;
exports["default"] = _default;